Retrieve Menu Details
curl --request POST \
--url https://api.birdeye.com/resources/v1/listing/menu-details \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
175009059995828,
169028735563867,
166609110899853,
164873686901155,
164863775654389,
164847076003414
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/menu-details"
payload = { "businessNumbers": [175009059995828, 169028735563867, 166609110899853, 164873686901155, 164863775654389, 164847076003414] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [
175009059995828,
169028735563867,
166609110899853,
164873686901155,
164863775654389,
164847076003414
]
})
};
fetch('https://api.birdeye.com/resources/v1/listing/menu-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abc123",
"businessNumber": 1210543123123,
"accountNumber": 1191304123,
"menuDetails": {
"name": "Restaurant Name",
"error": null,
"menus": [
{
"cuisines": [
"Italian",
"Continental"
],
"labels": [
{
"displayName": "Main Menu",
"description": "Our signature dishes",
"languageCode": "en"
}
],
"sections": [
{
"labels": [
{
"displayName": "Appetizers",
"description": "Starters",
"languageCode": "en"
}
],
"items": [
{
"labels": [
{
"displayName": "Bruschetta",
"description": "Toasted bread with toppings",
"languageCode": "en"
}
],
"attributes": {
"price": {
"currencyCode": "USD",
"units": 7,
"nanos": 500000000
},
"allergen": [
"Gluten"
],
"dietaryRestriction": [
"Vegetarian"
],
"nutritionFacts": {
"calories": 150,
"fatContent": "5g",
"proteinContent": "3g",
"carbohydrateContent": "20g"
},
"ingredients": [
{
"name": "Bread"
},
{
"name": "Tomato"
}
],
"servesNumPeople": 2,
"preparationMethods": [
"Grilled"
],
"portionSize": {
"amount": 150,
"unit": "grams"
},
"mediaKeys": []
},
"options": [
{
"labels": [
{
"displayName": "Extra Cheese",
"description": null,
"languageCode": "en"
}
],
"attributes": {
"price": {
"currencyCode": "USD",
"units": 2,
"nanos": 0
}
}
}
]
}
]
}
]
}
],
"businessNumber": 1210543,
"correlationId": "xyz-456"
},
"createdAt": "2025-07-23T07:51:56.889Z",
"updatedAt": "2025-07-24T10:11:22.456Z",
"crmName": "BirdeyeCRM"
}
]{
"code": 2457,
"message": "Invalid sortby value. Allowed values are 'frequency' or 'keyword'"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Retrieve Menu Details
This API retrieves structured menu information for specified business numbers.
POST
/
v1
/
listing
/
menu-details
Retrieve Menu Details
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User associated businessNumber
Media type of the JSON request body.
Body
application/json
Location numbers of enterprise locations. If empty all valid enterprise locations will be selected.
⌘I